Subject: Ticket Assigned - Feedback or suggestions
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 12 Feb 2022 14:26:16 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I made a call to your customer care on 12-02-2022 5:44 pm from my registered mobile number 0555203690 by asking an enquiry whether one product is available in wahda mall...  Your customer care person is making me hold continuously for more than 40+ min without any response.. I'm still in hold when I'm writing this mail..  is this the way you treat you r customer? Very bad : 
Anyway I have a screenshot and record of my call and I'll post in the social media how Landmark group Max is treating customer..  Very Bad experience https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3883548